Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class OVMUserGroup

`java.lang.Object
oracle.ovs.api.datamodel.OVMUserGroup`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OVMUserGroupConfig

      public class OVMUserGroup

extends java.lang.Object
implements java.io.Serializable

user group relationship

See Also:
  Serialized Form

Constructor Summary
`OVMUserGroup()`

Method Summary
`java.lang.Long` | `getGroup_id()` group id
`java.lang.Long` | `getId()` id
`java.lang.String` | `getStatus()` status
`java.lang.Long` | `getUser_id()` user id
`void` | `setGroup_id(java.lang.Long group_id)` group id
`void` | `setId(java.lang.Long id)` id
`void` | `setStatus(java.lang.String status)` status,in or else
`void` | `setUser_id(java.lang.Long user_id)` user id

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OVMUserGroup

    public OVMUserGroup()

Method Detail

### setId

    public void setId(java.lang.Long id)

  id
  Parameters:
    `id` -

### getId

    public java.lang.Long getId()

  id
  Returns:

### setUser_id

    public void setUser_id(java.lang.Long user_id)

  user id
  Parameters:
    `user_id` -

### getUser_id

    public java.lang.Long getUser_id()

  user id
  Returns:

### setGroup_id

    public void setGroup_id(java.lang.Long group_id)

  group id
  Parameters:
    `group_id` -

### getGroup_id

    public java.lang.Long getGroup_id()

  group id
  Returns:

### setStatus

    public void setStatus(java.lang.String status)

  status,in or else
  Parameters:
    `status` -

### getStatus

    public java.lang.String getStatus()

  status
  Returns:

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.